Subject: [Teas] General question on higher level yang tunnel abstraction

From: Jeffrey Haas <[email-masked]>
Date: Wed, 22 Jul 2015 08:15:45 -0400

This was the unasked question from the mic during Tarek's presentation during
IETF-93:

The IETF Yang tunnels te container is nicely structured.  A number of other
tunneling mechanisms in yang were discussed during rtgwg.  There is a need
to have some amount of higher level abstraction for the various tunnel types
to inherit from to provide necessary levels of commonality.

Is there any work ongoing in teas to do this?

I suspect such work will eventually belong in netmod, but believe that the
yang authors should be coordinating to help produce such a higher layer
abstraction.

-- Jeff